clear model data parama options

data.ydata = [
%  Time (h)     [SGli]  [SHAc]  [SHBu]  [SHEt]  [X1]    [SH2]
     	0.00	0.0175	0.0005	0.0009	0.0006	0.0011	0.0095
        0.97	0.0155	0.0010	0.0010	0.0006	0.0014	0.0118
        2.04	0.0111	0.0024	0.0032	0.0006	0.0027	0.0203
        3.97	0.0072	0.0042	0.0058	0.0005	0.0038	0.0561
        4.99	0.0052	0.0050	0.0077	0.0004	0.0041	0.0672
        6.01	0.0039	0.0054	0.0087	0.0005	0.0043	0.0767
        8.00	0.0022	0.0063	0.0097	0.0005	0.0043	0.0855
        10.04	0.0009	0.0064	0.0109	0.0004	0.0044	0.0919
        12.08	0.0006	0.0065	0.0114	0.0004	0.0046	0.0959
        24.10	0.0006	0.0063	0.0110	0.0003	0.0048	0.0944


             ];
		
%%
% Initial concentrations are saved in |data| to be used in sum of
% squares function.

SGli0 = 0.017;
SHAc0 = 0.00001;
SHBu0 = 0.00001;
SHEt0 = 0.00001;
X10 = 0.001;
SH20 = 0.00001;
SHAcm0 = 0.00001;
SHBum0 = 0.00001;

data.y0 = [SGli0;SHAc0;SHBu0;SHEt0;X10;SH20;SHAcm0;SHBum0];
%%
% Refine the first guess for the parameters with |fminseacrh| and
% calculate residual variance as an estimate of the model error variance.
k00 = [1,0.005];
[k0,ss0] = fminsearch(@Pei_Ying_Lin_2007_ss,k00,[],data)
%%
y0   = data.y0;
options = odeset('RelTol', 1e-15, 'AbsTol', 1e-15);
[t,y] = ode15s(@(t,y,k0) Pei_Ying_Lin_2007_ode2(t,y,k0),linspace(0,30),y0,options,k0);
%%
%Physicochemical parameter values
%==========================================================================
%Parameter Value Unit
%..........................................................................
R = 0.083145;%bar l mol^-1 K^-1
T = 298.15;%k
P = 1;%bar
V = 0.08;%l
%..........................................................................
V_H2_mod = y(:,7)*V*R*T/P;
%%
figure(1); clf
plot(data.ydata(:,1),data.ydata(:,2),'sb',t,y(:,1),'-b')
hold on
plot(data.ydata(:,1),data.ydata(:,3),'sg',t,y(:,2),'-g')
hold on
plot(data.ydata(:,1),data.ydata(:,4),'sr',t,y(:,3),'-r')
hold on
plot(data.ydata(:,1),data.ydata(:,6),'sk',t,y(:,5),'-k')
hold on
xlabel('t', 'Color', 'b')
ylabel('Concentrao (M)', 'Color', 'b')
text(0.5,0.017,'Glicose','Color','b')
text(10,0.007,'cido Actico','Color','g')
text(10,0.012,'cido Butrico','Color','r')
text(10,0.005,'Biomassa','Color','k')
%%
figure(2); clf
plot(data.ydata(:,1),data.ydata(:,7),'s',t,V_H2)
hold on
xlabel('t', 'Color', 'b')